# ace::Notifier Class Reference

Notifier is very simple - just binds itself to given stream and flushes passed notification to that stream. More...

`#include <notifier.h>`

Inherited by ace::ProgressNotifier.

List of all members.

## Public Member Functions
| Notifier (std::ostream &output)
| Object needs to know which output stream tie itself to.
void | fatal_error (const std::string &message) const
| Procedure prints the message to output stream tied within instance.
void | info (const std::string &message) const
| Procedure prints the message to output stream tied within instance.
std::ostream & | output_stream (void)
void | warning (const std::string &message) const
| Procedure prints the message to output stream tied within instance.
## Protected Attributes
std::ostream & | _output
| Notifier object holds reference to output stream, where the notifications are flushed.

## Detailed Description

Notifier is very simple - just binds itself to given stream and flushes passed notification to that stream.

## Constructor & Destructor Documentation

ace::Notifier::Notifier | ( | std::ostream & | output | ) | `[inline]`

Object needs to know which output stream tie itself to.

Parameters:

  | output | Reference to output stream to tie itself to.

## Member Function Documentation

void ace::Notifier::fatal_error | ( | const std::string & | message | ) | const

Procedure prints the message to output stream tied within instance.

Parameters:

  | message | Notification to be print.

void ace::Notifier::info | ( | const std::string & | message | ) | const

Procedure prints the message to output stream tied within instance.

Parameters:

  | message | Notification to be print.

std::ostream& ace::Notifier::output_stream | ( | void |  | ) | `[inline]`

Returns:
  Reference to stream tied with.

void ace::Notifier::warning | ( | const std::string & | message | ) | const

Procedure prints the message to output stream tied within instance.

Parameters:

  | message | Notification to be print.

## Member Data Documentation

std::ostream& ace::Notifier::_output`[protected]`

Notifier object holds reference to output stream, where the notifications are flushed.

The documentation for this class was generated from the following files:

- proto/Source/notifier.h
- proto/Source/notifier.cpp